--
--  File: D:\FPGA_BSP\XCV_300\VGA\VGATEST\HsyncFSM.vhd
-- created: 02/09/01 15:21:38
--  from: 'D:\FPGA_BSP\XCV_300\VGA\VGATEST\HsyncFSM.ASF'
--  by fsm2hdl - version: 2.0.1.60
--
library IEEE;
use IEEE.std_logic_1164.all;

use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

library SYNOPSYS;
use SYNOPSYS.attributes.all;

entity vsyncfsm is 
  port (CLK: in STD_LOGIC;
        --n: in STD_LOGIC_VECTOR(7 downto 0);
        I1: in STD_LOGIC_VECTOR(3 downto 1);
        I2: in STD_LOGIC_VECTOR(3 downto 1);
        I3: in STD_LOGIC_VECTOR(3 downto 1);
        VS: out STD_LOGIC);
        --VZS: out STD_LOGIC);
end;

architecture vsyncfsm_arch of vsyncfsm is


-- SYMBOLIC ENCODED state machine: Sreg0
--type Sreg0_type is (S1, S2, S3, S4);
--signal Sreg0: Sreg0_type;



begin
-- concurrent signals assignments


process (CLK)

begin

if CLK'event and CLK = '1' then
	--case Sreg0 is
		
		--when S2 =>
			if I1 = "110" AND I2 = "101" AND I3 = "111" then 
				--Sreg0 <= S3;
				VS <= '1';
			end if;
		--when S3 =>
			if I1 = "111" AND I2 = "011" AND I3 = "111" then
				--Sreg0 <= S4;
				VS <= '0';
			end if;
		
	--end case;
end if;
end process;

end vsyncfsm_arch;
